# $Id: MHonArc.spec,v 1.5 2005/06/09 01:12:12 ehood Exp $
#---------------------------------------------------------------------------#
#   RPM spec file for MHonArc.  The following macro definitions are
#   defined via the the call to rpmbuild during the release process:
# 
#	version:	  Version of mhonarc
#	release:	  RPM release number
#
#   For example:
#
#	rpmbuild --define='version X.X.X' --define='release N' ...
#
#   Note: The packaging process requires perl, however the build
#	  requirement for perl has been commented out since the
#	  system used to perform releases has a non-RPM installed
#	  version of perl, causing rpmbuild to fail when checking
#	  build requirements.
#
#---------------------------------------------------------------------------#

Name:		MHonArc
Version:	%version
Release:	%release
Vendor:		Earl Hood
Packager:	Earl Hood, <earl@earlhood.com>
URL:		http://www.mhonarc.org/
Group:		Applications/Mail
Group(pt_BR):   Aplicaes/Correio Eletrnico
License:	GPL
Source:		http://www.mhonarc.org/release/MHonArc/tar/%{name}-%{version}.tar.gz
Icon:		mhonarc32x32.xpm
Summary:	An e-mail-to-HTML converter
Summary(pl):    Konwerter Poczta->HTML
Summary(pt_BR): Um conversor de e-mail para HTML
Summary(es):	Un convertidor de correo para HTML
Requires:	perl >= 5
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch
#BuildRequires:	perl
AutoReq:	no
Provides:	mhonarc, mha-dbedit, mha-dbrecover, mha-decode

%description
MHonArc is a Perl program for converting mail or news messages into
HTML archives. It can also be used to convert individual messages
into HTML documents. Other capabilities include robust MIME support
and powerful user customization features.

%description -l pl
MHonArc to konwerter poczta->HTML napisany w perlu. MHonArc pozwala
na archiwizowanie poczty w postaci stron HTML z indeksowaniem wedug
wtku. MHonArc wspiera MIME oraz atwo przystosowuje si do wymaga
uytkownika.

%description -l pt_BR
MHonArc  um conversor de mail para HTML. MHonArc prov arquivamento
de mensagens em HTML com ndice, threads, etc. Tambm tem outras
capacidades para suportar MIME e recursos de customizao poderosos.

%description -l es
MHonArc es un convertidor de e-mail para HTML. MHonArc proporciona un
archivo de mensajes en HTML con ndice, threads, etc. Tambin tiene
capacidad para soportar MIME y recursos de personalizacin poderosos.

%prep
%setup -q

%install
%{__perl} install.me -batch -nodoc \
		-root $RPM_BUILD_ROOT \
		-perl %{__perl} \
		-libpath %{_libdir}/%{name} \
		-binpath %{_bindir} \
		-manpath %{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ACKNOWLG CHANGES COPYING README.txt RELNOTES
%doc doc/ examples/ extras/ logo/
%{_bindir}/mhonarc 
%{_bindir}/mha-dbedit 
%{_bindir}/mha-dbrecover
%{_bindir}/mha-decode
%{_libdir}/%{name}
%{_mandir}/man1/mhonarc.1*
%{_mandir}/man1/mha-dbedit.1*
%{_mandir}/man1/mha-dbrecover.1*
%{_mandir}/man1/mha-decode.1*
